package me.unurled.sacredrealms.sr.data;

import me.unurled.srcore.api.Manager;

/** The data and config manager */
public class DataManager extends Manager {

  private DataHandler dh;

  /** Load the manager */
  @Override
  public void load() {
    super.load();
    dh = new Redis();
  }

  /**
   * Get the data handler
   *
   * @return The data handler
   */
  public DataHandler getDataHandler() {
    return dh;
  }
}
