package me.unurled.sacredrealms.sr.utils.character;

public class CharacterArranger {
  public static char currentChar;

  public static void increase() {
    currentChar = (char) (currentChar + '\u0001');
  }

  /**
   * Get and increase the char arranged automatically by the plugin
   *
   * @return char
   */
  public static char getAndIncrease() {
    char temp = currentChar;
    increase();
    return temp;
  }

  /**
   * Increase and get the char arranged automatically by the plugin
   *
   * @return char
   */
  public static char increaseAndGet() {
    increase();
    return currentChar;
  }

  /**
   * Reset the initial char
   *
   * @param c char
   */
  public static void reset(char c) {
    currentChar = c;
  }
}
