package me.unurled.sacredrealms.sr.components.npc;


import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.UUID;
import me.unurled.sacredrealms.sr.SR;
import me.unurled.sacredrealms.sr.utils.ChunkWrapper;
import me.unurled.srcore.api.Manager;
import org.bukkit.Bukkit;
import org.bukkit.event.EventHandler;
import org.bukkit.event.world.ChunkLoadEvent;
import org.jetbrains.annotations.NotNull;

public class NPCManager extends Manager {

  private final Map<ChunkWrapper, HashSet<NPCEntity>> npcPerChunk = new HashMap<>();
  public Map<UUID, NPCEntity> npcs = new HashMap<>();

  public void register(@NotNull NPCEntity entity) {
    // TODO: Register the entity
    /*ChunkWrapper cw = new ChunkWrapper(entity.getClonedLocation().getChunk());
    if (!npcPerChunk.containsKey(cw)) {
      npcPerChunk.put(cw, new HashSet<>());
    }
    npcPerChunk.get(cw).add(entity);
    entity.spawn();*/
  }

  public void removeEntity(NPCEntity entity) {
    /*try {
      entity.despawn();
    } catch (Exception e) {
      error("Failed to despawn entity: " + entity.getId());
    }
    ChunkWrapper cw = new ChunkWrapper(entity.getClonedLocation().getChunk());
    if (npcPerChunk.containsKey(cw)) {
      npcPerChunk.get(cw).remove(entity);
    }*/
  }

  public void addEntity(NPCEntity entity) {
//    npcs.put(entity.getEntity().getUniqueId(), entity);
  }

  @EventHandler
  public void onChunkLoad(@NotNull ChunkLoadEvent e) {
    ChunkWrapper cw = new ChunkWrapper(e.getChunk());
    if (!npcPerChunk.containsKey(cw)) {
      return;
    }
    Bukkit.getScheduler()
        .scheduleSyncDelayedTask(
            SR.getPlugin(),
            () -> {
              HashSet<NPCEntity> npc = npcPerChunk.get(cw);
              for (NPCEntity entity : npc) {
                register(entity);
              }
            },
            20L * 2);
  }
}
